[Testing Update] 2018-08-17 - Pamac, Glibc, x264, Xorg-Server, Mesa

update
testing

#1

Hi community,

Welcome to another testing update. So what do we have with this one?

  • small fixes to pamac-cli
  • we updated glibc once again
  • added the needed x264 rebuilds
  • synced xorg-server and mesa with Arch
  • the usual python rebuilds/updates

We hope with all these changes Manjaro to be more efficient for you all.

For more info about L1TF please watch this video:


Currently we are working on a new Manjaro-Hardware project, the Bladebook Fall 2018. It will be powered by Manjaro KDE v18.0 and the latest Intel Apollo Lake Quad-Core HD APU. Having a fanless metal material (cassis either silver or gold-rose) and eMMC as storage (additional M2-SSD possible), it will have a long battery life. Find out more on our hardware page.

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our beta-build with the latest KDE v5.13 instead. And our GNOME fans may try our beta-build with the latest GNOME v3.28.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.118 [EOL]
  • linux41 4.1.52 [EOL]
  • linux44 4.4.148
  • linux49 4.9.120
  • linux414 4.14.63
  • linux415 4.15.18 [EOL]
  • linux416 4.16.18 [EOL]
  • linux417 4.17.15
  • linux418 4.18.1
  • linux419 4.19-rc0
  • linux414-rt 4.14.52_rt34
  • linux416-rt 4.16.18_rt11

Package Updates (Fri Aug 17 08:37:06 CEST 2018)

  • testing community x86_64: 65 new and 48 removed package(s)
  • testing core x86_64: 8 new and 9 removed package(s)
  • testing extra x86_64: 59 new and 76 removed package(s)
  • testing multilib x86_64: 6 new and 11 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                      audacious-gtk3                3.9-1                    -
              audacious-plugins-gtk3                3.9-1                    -
                         vlc-nightly     3.0.4v20180809-1     3.0.4v20180817-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                    adapta-gtk-theme          3.94.0.20-1          3.94.0.92-1
                            capstone              3.0.4-6              3.0.5-1
                        cinelerra-cv              1:2.3-4              1:2.3-5
                        deepin-music            3.1.8.3-2            3.1.8.4-1
                           grunt-cli              1.2.0-3              1.3.0-2
                           handbrake              1.1.1-1              1.1.1-2
                       handbrake-cli              1.1.1-1              1.1.1-2
            java-xmlgraphics-commons                2.2-1                2.3-1
                            krusader              2.7.0-1              2.7.1-1
                         libopenshot              0.2.0-2              0.2.0-3
                        libquicktime             1.2.4-18             1.2.4-19
                              marked              0.4.0-1              0.5.0-1
                           mitmproxy              4.0.4-1              4.0.4-2
                              nodejs             10.8.0-2             10.9.0-1
                    nodejs-lts-boron             6.14.3-2             6.14.4-1
                   nodejs-lts-carbon             8.11.3-4             8.11.4-1
                                 npm              6.3.0-1              6.4.0-1
                          obs-studio             21.1.2-2             21.1.2-3
                  papirus-icon-theme           20180720-1           20180816-1
           pycharm-community-edition           2018.2.1-1           2018.2.1-2
                     python-capstone              3.0.4-6              3.0.5-1
                      python-certifi          2018.4.16-2          2018.8.13-1
                     python-envisage              4.6.0-2              4.7.0-1
                 python-openstacksdk             0.14.0-2             0.17.2-1
                      python-osc-lib             1.11.0-2             1.11.1-1
                  python-oslo-config              6.2.2-2              6.4.0-1
                    python-pyqtgraph             0.10.0-3             0.10.0-4
                        python-qt.py           1.2.0.b2-2           1.2.0.b2-3
                      python-rfc3987              1.3.7-2              1.3.8-1
                  python-ruamel-yaml            0.15.56-1            0.15.57-1
                   python-xlsxwriter              1.0.5-2              1.0.7-1
                    python2-capstone              3.0.4-6              3.0.5-1
                     python2-certifi          2018.4.16-2          2018.8.13-1
                    python2-envisage              4.6.0-2              4.7.0-1
                python2-openstacksdk             0.14.0-2             0.17.2-1
                     python2-osc-lib             1.11.0-2             1.11.1-1
                 python2-oslo-config              6.2.2-2              6.4.0-1
                     python2-rfc3987              1.3.7-2              1.3.8-1
                  python2-xlsxwriter              1.0.5-2              1.0.7-1
             riscv64-linux-gnu-glibc               2.27-1               2.28-1
                  ruby-public_suffix              3.0.2-1              3.0.3-1
                               sndio              1.4.0-1              1.5.0-1
                           transcode             1.1.7-27             1.1.7-28
                     translate-shell            0.9.6.7-1            0.9.6.8-1
                          winetricks           20180603-1           20180815-1
                             cm256cc                    -              1.0.0-2
                               dsdcc                    -              1.8.3-2
                         hcxdumptool                    -  4.2.1+32+gf1dbb02-1
                             hcxkeys                    -   4.0.1+4+g451c639-1
                            hcxtools                    -  4.2.1+15+gbc206cc-1
                           libratbag                    -            0.9.902-2
                           limesuite                    -            18.06.0-1
                              mbelib                    -              1.3.0-1
                               piper                    -            0.2.901-1
                       python-cogapp                    -              2.5.1-1
                     python-geocoder                    -             1.38.1-1
                     python-oslo-log                    -             3.39.0-1
                        python-paver                    -              1.3.4-1
                      python-ratelim                    -              0.1.6-1
                      python-snowboy                    -              1.3.0-1
                    python2-oslo-log                    -             3.39.0-1
                    python2-pathlib2                    -              2.3.2-1
                            sdrangel                    -              4.0.5-1
                            serialdv                    -              1.0.5-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                               glibc             2.28-1.2                    -
                         lib32-glibc             2.28-1.2                    -
                      linux419 4.19rc0.0814.g31130a1-1 4.19rc0.0816.gfa3b39c-1
              linux419-headers 4.19rc0.0814.g31130a1-1 4.19rc0.0816.gfa3b39c-1
                      linux-firmware                    -   20180815.f1b95fe-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                               glibc               2.28-1               2.28-4
                            iproute2             4.17.0-1             4.18.0-1
                         lib32-glibc               2.28-1               2.28-4
                           man-pages               4.16-1               4.16-2
                              tzdata              2018e-1              2018e-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                   libva-mesa-driver             18.1.6-0                    -
                  linux419-acpi_call            1.1.0-0.1            1.1.0-0.2
                   linux419-bbswitch              0.8-0.1              0.8-0.2
                linux419-broadcom-wl     6.30.223.271-0.1     6.30.223.271-0.2
                   linux419-catalyst    1:15.201.1151-0.1    1:15.201.1151-0.2
                linux419-ndiswrapper             1.61-0.1             1.61-0.2
                     linux419-nvidia         1:396.51-0.1         1:396.51-0.2
               linux419-nvidia-340xx          340.107-0.1          340.107-0.2
               linux419-nvidia-390xx           390.77-0.1           390.77-0.2
                   linux419-nvidiabl             0.88-0.1             0.88-0.2
                      linux419-r8168         8.045.08-0.1         8.045.08-0.2
                        linux419-spl            0.7.9-0.1            0.7.9-0.2
                   linux419-tp_smapi             0.41-0.1             0.41-0.2
                linux419-vhba-module         20161009-0.1         20161009-0.2
   linux419-virtualbox-guest-modules           5.2.18-0.1           5.2.18-0.2
    linux419-virtualbox-host-modules           5.2.18-0.1           5.2.18-0.2
                        linux419-zfs            0.7.9-0.1            0.7.9-0.2
       manjaro-software-install-tool                0.1-1                0.2-2
                                mesa             18.1.6-0                    -
                          mesa-vdpau             18.1.6-0                    -
                         opencl-mesa             18.1.6-0                    -
                               pamac              6.5.0-1              6.5.0-2
             pamac-tray-appindicator              6.5.0-1              6.5.0-2
                        vulkan-intel             18.1.6-0                    -
                       vulkan-radeon             18.1.6-0                    -
                         xorg-server             1.20.1-0                    -
                  xorg-server-common             1.20.1-0                    -
                   xorg-server-devel             1.20.1-0                    -
                    xorg-server-xdmx             1.20.1-0                    -
                  xorg-server-xephyr             1.20.1-0                    -
                   xorg-server-xnest             1.20.1-0                    -
                    xorg-server-xvfb             1.20.1-0                    -
                xorg-server-xwayland             1.20.1-0                    -


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                        avidemux-cli              2.7.1-1              2.7.1-2
                         avidemux-qt              2.7.1-1              2.7.1-2
                          claws-mail             3.16.0-5             3.17.0-1
                            composer              1.7.0-1              1.7.2-1
                              ffmpeg            1:4.0.2-1            1:4.0.2-2
                     gnome-documents             3.28.1-1             3.28.2-1
                    gst-plugins-ugly             1.14.2-1             1.14.2-3
                             haveged              1.9.2-1              1.9.4-2
                      hunspell-en_AU         2018.04.16-2         2018.04.16-5
                      hunspell-en_CA         2018.04.16-2         2018.04.16-5
                      hunspell-en_GB         2018.04.16-2         2018.04.16-5
                      hunspell-en_US         2018.04.16-2         2018.04.16-5
                   libva-mesa-driver             18.1.5-1             18.1.6-1
                       libx264-10bit     2:152.20171224-2                    -
                             libx264     2:152.20171224-2                    -
                         libx264-all     2:152.20171224-2                    -
                            mencoder              38101-1              38101-2
                                mesa             18.1.5-1             18.1.6-1
                          mesa-vdpau             18.1.5-1             18.1.6-1
                             mplayer              38101-1              38101-2
                                opal           3.10.11-16           3.10.11-17
                         opencl-mesa             18.1.5-1             18.1.6-1
                   python-setuptools           1:39.2.0-3           1:40.0.0-1
                  python2-setuptools           1:39.2.0-3           1:40.0.0-1
                              strace               4.23-1               4.24-1
                             tracker              2.1.1-2              2.1.2-1
                      tracker-miners              2.1.0-2              2.1.1-1
                            unixodbc              2.3.6-1              2.3.7-1
                                 vlc              3.0.3-3           3.0.3.r1-1
                        vulkan-intel             18.1.5-1             18.1.6-1
                       vulkan-radeon             18.1.5-1             18.1.6-1
                                x264     2:152.20171224-2    2:155.r0a84d986-2
                          x2goserver            4.1.0.2-1            4.1.0.2-2
                           xdg-utils              1.1.3-2              1.1.3-3
                         xorg-server             1.20.0-9             1.20.1-1
                  xorg-server-common             1.20.0-9             1.20.1-1
                   xorg-server-devel             1.20.0-9             1.20.1-1
                    xorg-server-xdmx             1.20.0-9             1.20.1-1
                  xorg-server-xephyr             1.20.0-9             1.20.1-1
                   xorg-server-xnest             1.20.0-9             1.20.1-1
                    xorg-server-xvfb             1.20.0-9             1.20.1-1
                xorg-server-xwayland             1.20.0-9             1.20.1-1
                               xterm                333-1                334-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver             18.1.6-0                    -
                          lib32-mesa             18.1.6-0                    -
                    lib32-mesa-vdpau             18.1.6-0                    -
                  lib32-vulkan-intel             18.1.6-0                    -
                 lib32-vulkan-radeon             18.1.6-0                    -


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                        lib32-libdrm             2.4.92-1             2.4.93-1
             lib32-libva-mesa-driver             18.1.5-1             18.1.6-1
                          lib32-mesa             18.1.5-1             18.1.6-1
                    lib32-mesa-vdpau             18.1.5-1             18.1.6-1
                  lib32-vulkan-intel             18.1.5-1             18.1.6-1
                 lib32-vulkan-radeon             18.1.5-1             18.1.6-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Ready for Stable ?!?

  • We are ready to move this to our stable branch
  • I still see some issues (post about them)

0 voters


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Something using Perl/Python/glibc broke

Rebuilds needed! If it’s an AUR package, rebuild it. If it’s a repo package, please report and check back regularly for rebuilds.


Items from previous update sets

Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


#3

Not sure I did this right (assuming I wanted US English, if I had to choose only one):

:: Replace hunspell-en with extra/hunspell-en_AU? [Y/n] n
:: Replace hunspell-en with extra/hunspell-en_CA? [Y/n] n
:: Replace hunspell-en with extra/hunspell-en_GB? [Y/n] n
:: Replace hunspell-en with extra/hunspell-en_US? [Y/n] 
:: Replace libx264 with extra/x264? [Y/n] 
:: Replace libx264-all with extra/x264? [Y/n] 
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: x264 will be installed before its ffmpeg dependency

Packages (34) ffmpeg-1:4.0.2-2  glibc-2.28-4  gst-plugins-ugly-1.14.2-3  haveged-1.9.4-2
              hunspell-en-2018.04.16-2 [removal]  hunspell-en_AU-2018.04.16-5  hunspell-en_CA-2018.04.16-5
              hunspell-en_GB-2018.04.16-5  hunspell-en_US-2018.04.16-5  iproute2-4.18.0-1  l-smash-2.14.5-1
              lib32-glibc-2.28-4  lib32-libdrm-2.4.93-1  lib32-mesa-18.1.6-1  lib32-mesa-vdpau-18.1.6-1
              lib32-vulkan-intel-18.1.6-1  lib32-vulkan-radeon-18.1.6-1  libva-mesa-driver-18.1.6-1
              libx264-2:152.20171224-2 [removal]  libx264-all-2:152.20171224-2 [removal]
              linux-firmware-20180815.f1b95fe-1  man-pages-4.16-2  mesa-18.1.6-1  mesa-vdpau-18.1.6-1
              python-setuptools-1:40.0.0-1  tzdata-2018e-2  vlc-3.0.3.r1-1  vulkan-intel-18.1.6-1
              vulkan-radeon-18.1.6-1  x264-2:155.r0a84d986-2  xdg-utils-1.1.3-3  xorg-server-1.20.1-1
              xorg-server-common-1.20.1-1  xterm-334-1

Total Download Size:   145.93 MiB
Total Installed Size:  601.73 MiB
Net Upgrade Size:        6.15 MiB

Edit to add:
And after a re-boot, MSM wanted me to install hunspell-en, and after I entered my sudo password, in the details, I got:


Waiting for user input...

Starting

resolving dependencies...

looking for conflicting packages...

:: hunspell-en and hunspell-en_AU are in conflict. Remove hunspell-en_AU? [y/N]

:: hunspell-en and hunspell-en_AU are in conflict

Done ...

#4

But, after this, MSM still keeps saying hunspell-en and hunspell-en_AU are in conflict.
I removed using pamac hunspell-en_AU, but now when I try to install hunspell-en :

looking for conflicting packages …
Error: Unresolvable Package Conflict Detected
Error: Failed to prepare transaction (conflicting dependencies)
:: hunspell-en_AU and hunspell-en are in conflict
Error installing repo packages


#5

So is the 18.0 release going to be using Xfce-GTK3?


#6

I did the same thing you did and experienced the same thing. Guess it’s some conflict with the packages.


#7

Same issue here with Hunspell-en_AU :roll_eyes:


#8

in my case yes to all, smooth updete.
cheers


#9

With this commit it was introduced to remove hunspell-en. However, this was not done properly yet. Will check if it is fixed when we do it on our end, for now.


#10

Here we go with another set of packages:

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community x86_64:  177 new and 175 removed package(s)
 - testing extra x86_64:  15 new and 16 removed package(s)

:: Packages Updates (Fri Aug 17 16:13:39 CEST 2018)

:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                           arrayfire              3.6.1-1              3.6.1-2
                   blender 17:2.79.b.git3.32432d91-3 17:2.79.b.git3.32432d91-4
                       cabal-install           2.2.0.0-58           2.2.0.0-59
                             cantata              2.3.1-2              2.3.2-1
                               cgrep            6.6.25-63            6.6.25-64
                           cmark-gfm      0.28.0.gfm.11-1      0.28.3.gfm.14-1
                             cryptol              2.6.0-5              2.6.0-6
                              cython             0.28.4-2             0.28.5-1
                             cython2             0.28.4-2             0.28.5-1
                               darcs            2.14.1-37            2.14.1-38
                      docker-machine             0.14.0-1             0.15.0-1
                               eclib           20180710-4           20180815-1
                            ejabberd              18.06-2              18.06-3
                           flameshot              0.5.1-6              0.6.0-1
                            gammaray              2.9.0-3              2.9.1-1
                                gcc7     7.3.1+20180406-2     7.3.1+20180814-1
                           gcc7-libs     7.3.1+20180406-2     7.3.1+20180814-1
                           git-annex         6.20180807-5         6.20180807-6
                               gnurl             7.59.0-1             7.60.0-1
                 haskell-adjunctions               4.4-45               4.4-46
                haskell-authenticate            1.3.4-154            1.3.4-155
                         haskell-aws              0.20-62              0.20-63
                  haskell-bifunctors              5.5.3-7              5.5.3-8
              haskell-binary-conduit               1.3-38               1.3-39
                       haskell-brick               0.40-3               0.40-4
   haskell-bytestring-strict-builder           0.4.5.1-23           0.4.5.1-24
                    haskell-checkers             0.4.11-1             0.4.11-2
                       haskell-cmark              0.5.6-9                    -
                     haskell-comonad             5.0.4-10             5.0.4-11
                     haskell-concise           0.1.0.1-56           0.1.0.1-57
                     haskell-conduit           1.3.0.3-24           1.3.0.3-25
               haskell-conduit-extra             1.3.0-45             1.3.0-46
               haskell-contravariant                1.5-1                1.5-2
        haskell-contravariant-extras              0.3.4-8              0.3.4-9
                   haskell-criterion            1.5.1.0-4            1.5.1.0-5
          haskell-cryptohash-conduit            0.1.1-206            0.1.1-207
          haskell-cryptonite-conduit            0.2.2-100            0.2.2-101
                         haskell-dav            1.3.2-109            1.3.2-110
                        haskell-dbus             1.0.1-53             1.0.1-54
                 haskell-descriptive            0.9.4-129            0.9.4-130
                      haskell-either             5.0.1-13             5.0.1-14
                   haskell-esqueleto    2.5.3.20180402-55    2.5.3.20180402-56
                  haskell-fdo-notify             0.3.1-92             0.3.1-93
                        haskell-feed           1.0.0.0-98           1.0.0.0-99
                       haskell-foldl              1.4.3-1              1.4.3-2
                        haskell-free               5.1-11               5.1-12
             haskell-haddock-library              1.6.0-5              1.6.0-6
                      haskell-hakyll          4.12.3.0-91          4.12.3.0-92
                       haskell-hasql            1.1.1-111            1.1.1-112
                  haskell-hasql-pool            0.4.3-111            0.4.3-112
           haskell-hasql-transaction            0.5.2-114            0.5.2-115
                 haskell-hjsonschema             1.9.0-67             1.9.0-68
                    haskell-hopenpgp              2.7.2-5              2.7.2-6
                       haskell-hpack             0.29.6-4             0.29.6-5
                haskell-html-conduit             1.3.1-27             1.3.1-28
                        haskell-http         4000.3.12-38         4000.3.12-39
                haskell-http-conduit             2.3.2-28             2.3.2-29
          haskell-incremental-parser           0.3.1.1-32           0.3.1.1-33
   haskell-insert-ordered-containers          0.2.1.0-109          0.2.1.0-110
                   haskell-invariant              0.5.1-3              0.5.1-4
                        haskell-jose           0.7.0.0-43           0.7.0.0-44
                   haskell-js-jquery            3.3.1-108            3.3.1-109
              haskell-kan-extensions               5.2-13               5.2-14
                        haskell-keys            3.12.1-14            3.12.1-15
                        haskell-lens              4.17-11              4.17-12
                  haskell-lens-aeson             1.0.2-91             1.0.2-92
                    haskell-lrucache           1.2.0.0-30           1.2.0.0-31
                       haskell-lucid            2.9.10-28            2.9.10-29
                haskell-monad-logger             0.3.29-3             0.3.29-4
            haskell-mono-traversable            1.0.9.0-3            1.0.9.0-4
                    haskell-mustache             2.3.0-65             2.3.0-66
                  haskell-persistent             2.8.2-57             2.8.2-58
           haskell-persistent-sqlite           2.8.1.2-58           2.8.1.2-59
         haskell-persistent-template             2.5.4-82             2.5.4-83
                     haskell-pointed             5.0.1-49             5.0.1-50
           haskell-postgresql-binary          0.12.1.1-39          0.12.1.1-40
                 haskell-profunctors                5.3-9               5.3-10
            haskell-project-template           0.2.0.1-75           0.2.0.1-76
                      haskell-rebase             1.2.4-28             1.2.4-29
                    haskell-reducers            3.12.3-12            3.12.3-13
                    haskell-rerebase             1.2.2-28             1.2.2-29
                       haskell-sandi             0.4.2-40             0.4.2-41
                         haskell-sbv               7.10-8               7.10-9
               haskell-semigroupoids             5.3.1-11             5.3.1-12
              haskell-servant-server          0.13.0.1-64          0.13.0.1-65
             haskell-servant-swagger             1.1.5-49             1.1.5-50
                       haskell-shake            0.16.4-72            0.16.4-73
             haskell-simple-sendfile            0.2.27-71            0.2.27-72
                    haskell-statevar            1.1.1.0-3            1.1.1.1-1
                       haskell-store          0.4.3.2-134          0.4.3.2-135
                    haskell-swagger2             2.2.2-46             2.2.2-47
           haskell-tagstream-conduit          0.5.5.3-192          0.5.5.3-193
                 haskell-tasty-rerun            1.1.12-30            1.1.12-31
                   haskell-tree-diff             0.0.1-37             0.0.1-38
                    haskell-trifecta           1.7.1.1-97           1.7.1.1-98
                      haskell-turtle            1.5.10-17            1.5.10-18
            haskell-vector-instances               3.4-80               3.4-81
              haskell-wai-app-static           3.1.6.2-86           3.1.6.2-87
                 haskell-wai-conduit           3.0.0.4-54           3.0.0.4-55
          haskell-wai-handler-launch           3.0.2.4-52           3.0.2.4-53
                        haskell-warp            3.2.23-12            3.2.23-13
                    haskell-warp-tls           3.2.4.3-66           3.2.4.3-67
            haskell-wl-pprint-extras           3.5.0.5-65           3.5.0.5-66
          haskell-wl-pprint-terminfo           3.7.1.4-65           3.7.1.4-66
                        haskell-wreq           0.5.2.1-48           0.5.2.1-49
                      haskell-xcffib             0.6.0-58             0.6.0-59
                 haskell-xml-conduit             1.8.0-47             1.8.0-48
                  haskell-xml-hamlet             0.5.0-41             0.5.0-42
                        haskell-yaml             0.9.0-11             0.9.0-12
                       haskell-yesod             1.6.0-83             1.6.0-84
                  haskell-yesod-auth             1.6.3-81             1.6.3-82
                  haskell-yesod-core             1.6.6-16             1.6.6-17
               haskell-yesod-default            1.2.0-371            1.2.0-372
                  haskell-yesod-form             1.6.2-17             1.6.2-18
            haskell-yesod-persistent             1.6.0-76             1.6.0-77
                haskell-yesod-static             1.6.0-71             1.6.0-72
                  haskell-yesod-test             1.6.5-15             1.6.5-16
                           hedgewars          0.9.24.1-46          0.9.24.1-47
                             hindent              5.2.7-8              5.2.7-9
                             hledger              1.10-12              1.10-13
                         hledger-api              1.10-27              1.10-28
                          hledger-ui              1.10-21              1.10-22
                         hledger-web              1.10-34              1.10-35
                               hlint              2.1.9-1              2.1.9-2
                              hoogle          5.0.17.3-67          5.0.17.3-68
                      hopenpgp-tools             0.21.2-9            0.21.2-10
                               idris             1.3.0-46             1.3.0-47
                                 lxc            1:3.0.1-1            1:3.0.2-1
                     owncloud-client              2.4.2-1              2.4.3-1
                              pandoc            2.2.3.2-5            2.2.3.2-6
                     pandoc-citeproc         0.14.3.1-109         0.14.3.1-110
                     pandoc-crossref           0.3.2.1-60           0.3.2.1-61
                               pigar              0.7.2-2              0.9.0-1
                           postgrest          0.4.4.0-226          0.4.4.0-227
                python-elasticsearch              6.3.0-2              6.3.1-1
                        python-faker             0.8.17-1              0.9.0-1
                    python-pyperclip              1.6.2-2              1.6.4-1
                python-pytest-django              3.3.3-1              3.4.1-1
               python-pytest-relaxed              1.1.2-2              1.1.4-1
                      python-pytorch              0.4.1-4              0.4.1-5
                 python-pytorch-cuda              0.4.1-4              0.4.1-5
                  python-ruamel-yaml            0.15.57-1            0.15.58-1
                    python-softlayer              5.4.4-2              5.5.1-1
                   python-tensorflow             1.10.0-1             1.10.0-2
              python-tensorflow-cuda             1.10.0-1             1.10.0-2
               python-tensorflow-opt             1.10.0-1             1.10.0-2
          python-tensorflow-opt-cuda             1.10.0-1             1.10.0-2
                      python-tornado              5.1.0-1              5.1.0-2
                   python-whitenoise              3.3.1-2                4.0-1
                       python-xapian            1:1.4.6-2            1:1.4.7-1
               python2-elasticsearch              6.3.0-2              6.3.1-1
                       python2-faker             0.8.17-1              0.9.0-1
                       python2-pigar              0.7.2-2              0.9.0-1
                   python2-pyperclip              1.6.2-2              1.6.4-1
               python2-pytest-django              3.3.3-1              3.4.1-1
              python2-pytest-relaxed              1.1.2-2              1.1.4-1
                     python2-pytorch              0.4.1-4              0.4.1-5
                python2-pytorch-cuda              0.4.1-4              0.4.1-5
                     python2-tornado              5.1.0-1              5.1.0-2
                  python2-whitenoise              3.3.1-2                4.0-1
                      python2-xapian            1:1.4.6-2            1:1.4.7-1
                                 rfc           20180621-1           20180817-1
                          shellcheck             0.5.0-72             0.5.0-73
                            singular           4.1.1.p2-7           4.1.1.p3-1
                            skktools              1.3.3-4              1.3.4-1
                               stack            1.7.1-101            1.7.1-102
                     stylish-haskell           0.9.2.0-50           0.9.2.0-51
                      tamarin-prover             1.4.0-81             1.4.0-82
                         tensorboard              1.9.0-2             1.10.0-1
                          tensorflow             1.10.0-1             1.10.0-2
                     tensorflow-cuda             1.10.0-1             1.10.0-2
                      tensorflow-opt             1.10.0-1             1.10.0-2
                 tensorflow-opt-cuda             1.10.0-1             1.10.0-2
                              wcslib               5.19-1             5.19.1-1
                              xmobar               0.27-1               0.27-2
                       python-ptable                    -     0.9.2.20180730-1
                       python-semver                    -              2.8.1-1
                      python2-semver                    -              2.8.1-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                              facile              1.1.3-3              1.1.3-4
                         hunspell-en         2018.04.16-2                    -
                         imagemagick            7.0.8.8-2           7.0.8.10-1
                     imagemagick-doc            7.0.8.8-2           7.0.8.10-1
                        imagemagick6           6.9.10.9-1          6.9.10.10-1
                           libmagick            7.0.8.8-2           7.0.8.10-1
                          libmagick6           6.9.10.9-1          6.9.10.10-1
                               ndctl               61.2-1                 62-2
                    noto-fonts-emoji           20180425-1           20180810-1
                             pyside2             5.11.0-4             5.11.1-1
                       pyside2-tools             5.11.0-3             5.11.1-1
                    python-shiboken2             5.11.0-5             5.11.1-2
                   python-virtualenv             15.1.0-4             16.0.0-1
                  python2-virtualenv             15.1.0-4             16.0.0-1
                           shiboken2             5.11.0-5             5.11.1-2
                         xapian-core            1:1.4.6-1            1:1.4.7-1

#11

This update went well too. Thanks. Hunspell english packages were updated without problems.


#12

Here is the complete list of current packages in queue for our next stable update.


#13

:: removing libx264 breaks dependency ‘libx264.so=152-64’ required by ffmpeg2.8


#14

ffmpeg2.8 is an AUR package. Try uninstalling it and rebuilding after making the update.


#15

Thanks! I missed that


#16

After the latest update I have 3 orphaned packages:

daala
sidplay2-libs
sndio

Other then that, no issues so far.


#17

And here we go for some more packages in this round:

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community x86_64:  115 new and 112 removed package(s)
 - testing core x86_64:  2 new and 3 removed package(s)
 - testing extra x86_64:  28 new and 28 removed package(s)
 - testing multilib x86_64:  1 new and 1 removed package(s)

:: Upstream (Fri Aug 17 20:26:53 CEST 2018)

:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-151            1.1.0-153
                 appstream-generator              0.7.3-1              0.7.4-1
           firefox-developer-edition            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-ach            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-af            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-an            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ar            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-as            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-ast            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-az            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-be            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-bg            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-bn-bd            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-bn-in            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-br            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-bs            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ca            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-cak            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-cs            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-cy            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-da            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-de            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-dsb            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-el            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-en-gb            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-en-us            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-en-za            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-eo            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-es-ar            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-es-cl            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-es-es            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-es-mx            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-et            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-eu            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-fa            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ff            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-fi            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-fr            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-fy-nl            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-ga-ie            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-gd            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-gl            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-gn            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-gu-in            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-he            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-hi-in            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-hr            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-hsb            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-hu            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-hy-am            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ia            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-id            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-is            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-it            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ja            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ka            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-kab            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-kk            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-km            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-kn            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ko            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-lij            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-lt            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-lv            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-mai            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-mk            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ml            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-mr            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ms            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-my            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-nb-no            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-ne-np            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-nl            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-nn-no            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-or            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-pa-in            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-pl            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-pt-br            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-pt-pt            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-rm            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ro            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ru            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-si            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-sk            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-sl            62.0b17-1            62.0b18-1
  firefox-developer-edition-i18n-son            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-sq            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-sr            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-sv-se            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ta            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-te            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-th            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-tr            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-uk            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-ur            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-uz            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-vi            62.0b17-1            62.0b18-1
   firefox-developer-edition-i18n-xh            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-zh-cn            62.0b17-1            62.0b18-1
firefox-developer-edition-i18n-zh-tw            62.0b17-1            62.0b18-1
                    gimp-plugin-gmic              2.3.3-1              2.3.4-1
                                gmic              2.3.3-1              2.3.4-1
                   krita-plugin-gmic              2.3.3-1              2.3.4-1
                            normaliz              3.6.1-1              3.6.2-1
                               opera       54.0.2952.71-1       55.0.2994.37-1
                 opera-ffmpeg-codecs       67.0.3396.87-1      68.0.3440.106-1
                             pkgdiff              1.7.1-2              1.7.2-2
                       python-pynacl              1.2.1-2              1.2.1-3
                      python2-pynacl              1.2.1-2              1.2.1-3
                            three.js                r94-1                r95-1
                           wine-mono              4.7.1-1              4.7.3-1
                                zart              2.3.3-1              2.3.4-1
                               glibd                    -              2.0.0-1
                         multimon-ng                    -              1.1.5-2
                               wdiff                    -              1.2.2-3


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                      linux-firmware   20180815.f1b95fe-1                    -
                     manjaro-release            17.1.11-1            17.1.12-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                      linux-firmware   20180717.8d69bab-1   20180815.f1b95fe-1
                             p11-kit            0.23.12-1            0.23.13-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                           appstream             0.12.1-1             0.12.2-1
                        appstream-qt             0.12.1-1             0.12.2-1
                            discount            2.2.3.a-1              2.2.4-1
                               eigen              3.3.5-1              3.3.5-2
                             gtk-vnc              0.8.0-1              0.9.0-1
                                mono         5.12.0.260-1         5.14.0.177-1
                              okteta           1:0.25.1-1           1:0.25.2-1
                                 php              7.2.8-2              7.2.9-1
                          php-apache              7.2.8-2              7.2.9-1
                             php-cgi              7.2.8-2              7.2.9-1
                           php-dblib              7.2.8-2              7.2.9-1
                           php-embed              7.2.8-2              7.2.9-1
                         php-enchant              7.2.8-2              7.2.9-1
                             php-fpm              7.2.8-2              7.2.9-1
                              php-gd              7.2.8-2              7.2.9-1
                            php-imap              7.2.8-2              7.2.9-1
                            php-intl              7.2.8-2              7.2.9-1
                            php-odbc              7.2.8-2              7.2.9-1
                           php-pgsql              7.2.8-2              7.2.9-1
                          php-phpdbg              7.2.8-2              7.2.9-1
                          php-pspell              7.2.8-2              7.2.9-1
                            php-snmp              7.2.8-2              7.2.9-1
                          php-sodium              7.2.8-2              7.2.9-1
                          php-sqlite              7.2.8-2              7.2.9-1
                            php-tidy              7.2.8-2              7.2.9-1
                             php-xsl              7.2.8-2              7.2.9-1
                     qt5-declarative             5.11.1-1             5.11.1-2
                              spglib             1.10.3-1             1.10.4-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-16           2018-08-17
-------------------------------------------------------------------------------
                       lib32-p11-kit            0.23.12-1            0.23.13-2

#18

Manjaro release 17.1.12? New batch of ISO soon?


#19

Yep, we are talking about it internally …


#20

Could be a good idea. I tried to upgrade to testing a freshly updated Manjaro Mate stable… Something like 650 or 700 Mb were downloaded…